Mailinglist Archive: opensuse-commit (1929 mails)

< Previous Next >
commit okular for openSUSE:Factory

Hello community,

here is the log from the commit of package okular for openSUSE:Factory
checked in at Thu Oct 13 00:10:10 CEST 2011.



--------
--- openSUSE:Factory/okular/okular.changes 2011-10-06 16:44:13.000000000
+0200
+++ /mounts/work_src_done/STABLE/okular/okular.changes 2011-10-08
23:22:05.000000000 +0200
@@ -1,0 +2,6 @@
+Sat Oct 8 23:20:56 UTC 2011 - toddrme2178@xxxxxxxxx
+
+- Added provides for obsoletes (fix for RPMLINT warning)
+- Cleaned up spec file formatting
+
+-------------------------------------------------------------------

calling whatdependson for head-i586


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ okular.spec ++++++
--- /var/tmp/diff_new_pack.Xr5FCb/_old 2011-10-13 00:10:03.000000000 +0200
+++ /var/tmp/diff_new_pack.Xr5FCb/_new 2011-10-13 00:10:03.000000000 +0200
@@ -15,8 +15,6 @@
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

-
-
Name: okular
Version: 4.7.2
Release: 1
@@ -24,29 +22,29 @@
Summary: Document Viewer
Url: http://www.kde.org
Group: Productivity/Office/Other
-Source0: okular-%{version}.tar.bz2
-BuildRequires: fdupes
+Source0: %{name}-%{version}.tar.bz2
BuildRequires: OpenEXR-devel
BuildRequires: chmlib-devel
+BuildRequires: fdupes
BuildRequires: fribidi-devel
BuildRequires: libdjvulibre-devel
+BuildRequires: libepub-devel
BuildRequires: libgphoto2-devel
BuildRequires: libkde4-devel
+BuildRequires: libpoppler-qt4-devel
+BuildRequires: libqca2-devel
BuildRequires: libqimageblitz-devel
BuildRequires: libspectre-devel
BuildRequires: net-snmp-devel
BuildRequires: oxygen-icon-theme-large
-BuildRequires: libepub-devel
-BuildRequires: libpoppler-qt4-devel
-BuildRequires: libqca2-devel
-BuildRequires: libsoprano-devel
BuildRequires: soprano-backend-redland
%if 0%{?suse_version} > 1130
BuildRequires: sane-backends-devel
%else
BuildRequires: sane-backends
%endif
-Obsoletes: kdegraphics4 < %{version}
+Obsoletes: kdegraphics4 < 4.7.0
+Provides: kdegraphics4 = 4.7.0
BuildRoot: %{_tmppath}/%{name}-%{version}-build
%requires_ge libpoppler-qt4-3
%kde4_runtime_requires
@@ -55,8 +53,21 @@
Document viewing program; supports document in PDF, PS and
many other formats.

+%package devel
+License: GPLv2+
+Summary: Document Viewer - Development Files
+Group: Development/Libraries/KDE
+Requires: libkde4-devel
+Requires: %{name} = %{version}
+Provides: kde4-%{name}-devel = 4.3.0
+Obsoletes: kde4-%{name}-devel < 4.3.0
+%kde4_runtime_requires
+
+%description devel
+Document viewing program; supports document in various formats
+
%prep
-%setup -q -n okular-%{version}
+%setup -q

%build
%cmake_kde4 -d build
@@ -65,20 +76,19 @@
%install
cd build
%make_install
- mkdir -p
%{buildroot}%{_datadir}/icons/hicolor/{16x16,22x22,32x32,48x48,64x64,128x128}/apps
- cp /usr/share/icons/oxygen/128x128/apps/graphics-viewer-document.png
%{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
- cp /usr/share/icons/oxygen/16x16/apps/graphics-viewer-document.png
%{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
- cp /usr/share/icons/oxygen/22x22/apps/graphics-viewer-document.png
%{buildroot}%{_datadir}/icons/hicolor/22x22/apps/
- cp /usr/share/icons/oxygen/32x32/apps/graphics-viewer-document.png
%{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
- cp /usr/share/icons/oxygen/48x48/apps/graphics-viewer-document.png
%{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
- cp /usr/share/icons/oxygen/64x64/apps/graphics-viewer-document.png
%{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
+ mkdir -p
%{buildroot}%{_kde4_iconsdir}/hicolor/{16x16,22x22,32x32,48x48,64x64,128x128}/apps
+ cp %{_kde4_iconsdir}/oxygen/128x128/apps/graphics-viewer-document.png
%{buildroot}%{_kde4_iconsdir}/hicolor/128x128/apps/
+ cp %{_kde4_iconsdir}/oxygen/16x16/apps/graphics-viewer-document.png
%{buildroot}%{_kde4_iconsdir}/hicolor/16x16/apps/
+ cp %{_kde4_iconsdir}/oxygen/22x22/apps/graphics-viewer-document.png
%{buildroot}%{_kde4_iconsdir}/hicolor/22x22/apps/
+ cp %{_kde4_iconsdir}/oxygen/32x32/apps/graphics-viewer-document.png
%{buildroot}%{_kde4_iconsdir}/hicolor/32x32/apps/
+ cp %{_kde4_iconsdir}/oxygen/48x48/apps/graphics-viewer-document.png
%{buildroot}%{_kde4_iconsdir}/hicolor/48x48/apps/
+ cp %{_kde4_iconsdir}/oxygen/64x64/apps/graphics-viewer-document.png
%{buildroot}%{_kde4_iconsdir}/hicolor/64x64/apps/
cd ..
%suse_update_desktop_file -r okular Office Viewer
%fdupes -s %{buildroot}%{_datadir}
%kde_post_install

%post -p /sbin/ldconfig
-
%postun -p /sbin/ldconfig

%clean
@@ -86,38 +96,23 @@

%files
%defattr(-,root,root)
-%_kde4_bindir/okular
-%_kde4_iconsdir/hicolor/*/apps/graphics-viewer-document.*
-%_kde4_iconsdir/hicolor/*/apps/okular.*
-%_kde4_modulesdir/*.so
-%_kde4_libdir/libokularcore.so.*
-%_kde4_applicationsdir/okular*.desktop
-%_kde4_htmldir/en/okular/
-%_kde4_appsdir/okular/
-%_kde4_sharedir/config.kcfg/*.kcfg
-%_kde4_servicesdir/*.desktop
-%_kde4_servicesdir/*.protocol
-%_kde4_servicetypesdir/*.desktop
-
-%package devel
-License: GPLv2+
-Summary: Document Viewer - Development Files
-Group: Development/Libraries/KDE
-Requires: libkde4-devel
-Requires: okular = %{version}
-Provides: kde4-okular-devel = 4.3.0
-Obsoletes: kde4-okular-devel < 4.3.0
-%kde4_runtime_requires
-
-%description devel
-Document viewing program; supports document in various formats
+%{_kde4_applicationsdir}/okular*.desktop
+%{_kde4_appsdir}/okular/
+%{_kde4_bindir}/okular
+%config %{_kde4_configkcfgdir}/*.kcfg
+%{_kde4_htmldir}/en/okular/
+%{_kde4_iconsdir}/hicolor/*/apps/graphics-viewer-document.*
+%{_kde4_iconsdir}/hicolor/*/apps/okular.*
+%{_kde4_libdir}/libokularcore.so.*
+%{_kde4_modulesdir}/*.so
+%{_kde4_servicesdir}/*.desktop
+%{_kde4_servicesdir}/*.protocol
+%{_kde4_servicetypesdir}/*.desktop

%files devel
%defattr(-,root,root)
-%dir %{_includedir}/okular/
-%{_includedir}/okular/core/
-%{_includedir}/okular/interfaces/
-%_kde4_libdir/cmake/Okular/
-%_kde4_libdir/libokularcore.so
+%{_kde4_includedir}/okular/
+%{_kde4_libdir}/cmake/Okular/
+%{_kde4_libdir}/libokularcore.so

%changelog

continue with "q"...



Remember to have fun...

--
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread